Package io.strimzi.systemtest.utils.specific

## Class BridgeUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.specific.BridgeUtils

-     public class BridgeUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `addHeadersToString​(Map<String,​String> additionalHeaders)` |
    `static String` | `addHeadersToString​(Map<String,​String> additionalHeaders, String contentType)` |
    `static String` | `addHeadersToString​(Map<String,​String> additionalHeaders, String contentType, String content)` |
    `static String` | `buildCurlCommand​(io.vertx.core.http.HttpMethod httpMethod, String url, String headers, String data)` |
    `static String` | `getBridgeVersion()` | Returns Strimzi Kafka Bridge version which is associated with Strimzi Kafka Operator.
    `static String` | `getHeaderValue​(String expectedHeader, String response)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildCurlCommand

          public static String buildCurlCommand​(io.vertx.core.http.HttpMethod httpMethod,
                                                String url,
                                                String headers,
                                                String data)

    - #### addHeadersToString

          public static String addHeadersToString​(Map<String,​String> additionalHeaders)

    - #### addHeadersToString

          public static String addHeadersToString​(Map<String,​String> additionalHeaders,
                                                  String contentType)

    - #### addHeadersToString

          public static String addHeadersToString​(Map<String,​String> additionalHeaders,
                                                  String contentType,
                                                  String content)

    - #### getHeaderValue

          public static String getHeaderValue​(String expectedHeader,
                                              String response)

    - #### getBridgeVersion

          public static String getBridgeVersion()

      Returns Strimzi Kafka Bridge version which is associated with Strimzi Kafka Operator. The value is parsed from `/bridge.version` classpath resource and return it as a string.
      Returns:
        bridge version